<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.BizProjectInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.BizProjectInfo">
        <id column="project_id" property="projectId" />
        <result column="create_time" property="createTime" />
        <result column="project_code" property="projectCode" />
        <result column="project_name" property="projectName" />
        <result column="project_desc" property="projectDesc" />
        <result column="start_date" property="startDate" />
        <result column="end_date" property="endDate" />
        <result column="actual_end_date" property="actualEndDate" />
        <result column="employee_id" property="employeeId" />
        <result column="project_type" property="projectType" />
        <result column="project_status" property="projectStatus" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, project_id, project_code, project_name, project_desc, start_date, end_date, actual_end_date, employee_id, project_type, project_status, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
